#!/bin/sh

if instmod=`kdialog --menu "Please choose an install destination:" 0 "local (only for you)" 1 "global (for all user)" --title "Theme Installation"`

# install theme contents
then
   if test $instmod -eq 1
   then
      if test -w `kde-config --prefix`
      then
         eval ./theme_content/theme_install.sh `kde-config --prefix`
      else
         kdesu -t -- ./theme_content/theme_install.sh `kde-config --prefix`
      fi
   else
      eval ./theme_content/theme_install.sh `kde-config --localprefix`
   fi

   if kdialog --yesno "Everything is installed!\n\nWould you use the desktop theme now?" --title "Theme Installation"
   then
      # test for kthememanager
      if themanger=`grep kthememanager theme_content/kcmmods.txt`
      then
         kcmshell kthememanager kwindecoration ksplashthememgr
      else
         kcmshell background colors icons kwindecoration panel ksplashthememgr
      fi
   fi
fi
